onlineMeeting resource type
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Contains information about a meeting, including the URL used to join a meeting, the attendees list, and the description.
This resource supports subscribing to change notifications. See subscribe to online meetings for more details.
Methods
| Method | Return Type | Description |
|---|---|---|
| Create | onlineMeeting | Create an online meeting. |
| Get | onlineMeeting | Read the properties and relationships of an onlineMeeting object. |
| Update | onlineMeeting | Update the properties of an onlineMeeting object. |
| Delete | None | Delete an onlineMeeting object. |
| Create or get onlineMeeting | onlineMeeting | Create an online meeting with a custom, external ID. If the meeting already exists, retrieve its properties. |
Properties
| Property | Type | Description |
|---|---|---|
| allowedPresenters | onlineMeetingPresenters | Specifies who can be a presenter in a meeting. |
| allowAttendeeToEnableCamera | Boolean | Indicates whether attendees can turn on their camera. |
| allowAttendeeToEnableMic | Boolean | Indicates whether attendees can turn on their microphone. |
| allowMeetingChat | meetingChatMode | Specifies the mode of meeting chat. |
| allowTeamworkReactions | Boolean | Indicates if Teams reactions are enabled for the meeting. |
| alternativeRecording | Stream | The content stream of the alternative recording of a Microsoft Teams live event. Read-only. |
| attendeeReport | Stream | The content stream of the attendee report of a Teams live event. Read-only. |
| audioConferencing | audioConferencing | The phone access (dial-in) information for an online meeting. Read-only. |
| broadcastSettings | broadcastMeetingSettings | Settings related to a live event. |
| chatInfo | chatInfo | The chat information associated with this online meeting. |
| creationDateTime | DateTime | The meeting creation time in UTC. Read-only. |
| endDateTime | DateTime | The meeting end time in UTC. |
| externalId | String | The external ID. A custom ID. Optional. |
| id | String | The default ID associated with the online meeting. Read-only. |
| isBroadcast | Boolean | Indicates whether this is a Teams live event. |
| isEntryExitAnnounced | Boolean | Indicates whether to announce when callers join or leave. |
| joinWebUrl | String | The join URL of the online meeting. Read-only. |
| joinInformation | itemBody | The join information in the language and locale variant specified in 'Accept-Language' request HTTP header. Read-only. |
| joinMeetingIdSettings | joinMeetingIdSettings | Specifies the joinMeetingId, the meeting passcode, and the requirement for the passcode. |
| lobbyBypassSettings | lobbyBypassSettings | Specifies which participants can bypass the meeting lobby. |
| participants | meetingParticipants | The participants associated with the online meeting. This includes the organizer and the attendees. |
| recordAutomatically | Boolean | Indicates whether to record the meeting automatically. |
| recording | Stream | The content stream of the recording of a Teams live event. Read-only. |
| startDateTime | DateTime | The meeting start time in UTC. |
| subject | String | The subject of the online meeting. |
| videoTeleconferenceId | String | The video teleconferencing ID. Read-only. |
| autoAdmittedUsers (deprecated) | String | The setting that specifies the type of participants that will automatically be allowed into the online meeting. Possible values are: everyone, everyoneInSameAndFederatedCompany, everyoneInCompany, invitedUsersInCompany, organizer. Read-only. |
| capabilities (deprecated) | meetingCapabilities collection | The list of meeting capabilities. Possible values are: questionAndAnswer,unknownFutureValue. |
Caution
- The autoAdmittedUsers property is deprecated. Use the scope property of lobbyBypassSettings instead.
- The capabilities property is deprecated. Use the isQuestionAndAnswerEnabled property of broadcastMeetingSettings instead.
onlineMeetingPresenters values
| Value | Description |
|---|---|
| everyone | Everyone is a presenter (This is default option). |
| organization | Everyone in organizer’s organization is a presenter. |
| roleIsPresenter | Only the participants whose role is presenter are presenters. |
| organizer | Only the organizer is a presenter. |
| unknownFutureValue | Unknown future value. |
Tip
When creating or updating an online meeting with allowedPresenters set to roleIsPresenter, include a full list of attendees with the specified attendees' role set to presenter in the request body.
meetingChatMode values
| Value | Description |
|---|---|
| enabled | Meeting chat is enabled. |
| disabled | Meeting chat is disabled. |
| limited | Meeting chat is enabled but only for the duration of the meeting call. |
| unknownFutureValue | Unknown future value. |
Relationships
| Relationship | Type | Description |
|---|---|---|
| attendanceReports | meetingAttendanceReport collection | The attendance reports of an online meeting. Read-only. |
| registration | meetingRegistrationBase | The registration that has been enabled for an online meeting. One online meeting can only have one registration enabled. |
| meetingAttendanceReport (deprecated) | meetingAttendanceReport | The attendance report of the latest online meeting session. Read-only. |
Tip
- The meetingAttendanceReport property is deprecated. It will remain in beta for backward compatibility. Going forward, please use attendanceReports property to retrieve attendance reports of an online meeting.
- The type of registration can be meetingRegistration or externalMeetingRegistration, both of which inherit from meetingRegistrationBase.
JSON representation
{
"allowAttendeeToEnableCamera": "Boolean",
"allowAttendeeToEnableMic": "Boolean",
"allowedPresenters": "String",
"allowMeetingChat": {"@odata.type": "microsoft.graph.meetingChatMode"},
"allowTeamworkReactions": "Boolean",
"audioConferencing": {"@odata.type": "microsoft.graph.audioConferencing"},
"broadcastSettings": {"@odata.type": "microsoft.graph.broadcastSettings"},
"chatInfo": {"@odata.type": "microsoft.graph.chatInfo"},
"creationDateTime": "String (timestamp)",
"endDateTime": "String (timestamp)",
"id": "String (identifier)",
"isBroadcast": "Boolean",
"isEntryExitAnnounced": "Boolean",
"joinMeetingIdSettings": {"@odata.type": "microsoft.graph.joinMeetingIdSettings"},
"joinWebUrl": "String",
"lobbyBypassSettings": {"@odata.type": "microsoft.graph.lobbyBypassSettings"},
"participants": {"@odata.type": "microsoft.graph.meetingParticipants"},
"startDateTime": "String (timestamp)",
"subject": "String",
"videoTeleconferenceId": "String"
}
Saran dan Komentar
Kirim dan lihat umpan balik untuk